{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Updating a request alters the request in the Cloudforce One queue. This API may be used to update any attributes of the request after the initial submission. Only fields that you choose to update need to be add to the request body.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/cloudforce-one-requests_identifier"},"request_id":{"$ref":"#/definitions/cloudforce-one-requests_uuid"}},"required":["account_id","request_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/cloudforce-one-requests_request-edit"}},"required":["path","body"],"additionalProperties":false,"definitions":{"cloudforce-one-requests_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"cloudforce-one-requests_uuid":{"description":"UUID.","type":"string","maxLength":36,"examples":["f174e90a-fafe-4643-bbbc-4a0ed4fc8415"]},"cloudforce-one-requests_request-edit":{"type":"object","properties":{"content":{"$ref":"#/definitions/cloudforce-one-requests_request-content"},"priority":{"description":"Priority for analyzing the request.","type":"string","examples":["routine"]},"request_type":{"$ref":"#/definitions/cloudforce-one-requests_request-type"},"summary":{"$ref":"#/definitions/cloudforce-one-requests_request-summary"},"tlp":{"$ref":"#/definitions/cloudforce-one-requests_tlp"}},"title":"Request Editable Parameters"},"cloudforce-one-requests_request-content":{"description":"Request content.","type":"string","examples":["What regions were most effected by the recent DoS?"]},"cloudforce-one-requests_request-type":{"description":"Requested information from request.","type":"string","examples":["Victomology"]},"cloudforce-one-requests_request-summary":{"description":"Brief description of the request.","type":"string","examples":["DoS attack"]},"cloudforce-one-requests_tlp":{"description":"The CISA defined Traffic Light Protocol (TLP).","type":"string","enum":["clear","amber","amber-strict","green","red"],"title":"TLP"}}},"name":"Update a Request","id":"cloudflare.cloudforce-one-request-update","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353","request_id":"f174e90a-fafe-4643-bbbc-4a0ed4fc8415"},"body":{}},"maxRequests":1,"summary":false}}